<?php

class iHRIS_Module extends I2CE_Module {



    public function showUserNames($node,$template) {
        if ($template instanceof I2CE_Template && $node instanceof DOMNode) {
            $user = $template->getUser();        
            $namesNode = $template->appendFileByNode('user_names.html','span',$node);
            $template->setDisplayDataImmediate('user_firstname', $user->firstname,$namesNode);
            $template->setDisplayDataImmediate('user_lastname', $user->lastname,$namesNode);
            return;
        }
    }
    public function getUserNames() {
        $user = new I2CE_User();
        $template = new I2CE_Template();
        $template->loadRootFile('user_names.html');
        $template->setDisplayDataImmediate('user_firstname', $user->firstname);
        $template->setDisplayDataImmediate('user_lastname', $user->lastname);
        $node =  $template->getElementByTagName('span',0);
        if (!$node instanceof DOMNode) {
            return '';
        }
        return $node->textContent;
    }
    
            

    
    public function showUserRole($node ,$template) {
        if ($template instanceof I2CE_Template && $node instanceof DOMNode) {
            $node->appendChild($template->createTextNode($this->getUserRole()));
        }
    }

    public function getUserRole() {
        $user = new I2CE_User();
        if ($user->role) {
            return I2CE_User_Form::getRoleNameFromShortName($user->role);
        } else {
            return null;
        }
    }
     
  

        
     
    public function showModuleVersion($node,$template, $module) {
        if ($template instanceof I2CE_Template && $node instanceof DOMNode) {

            $node->appendChild($template->createTextNode($this->getModuleVersion($module)));
        }
    }

    public function getModuleVersion($module) {
        $version = '';
        I2CE::getConfig()->setIfIsSet($version,"/config/data/$module/version");
        return $version;
    }


}


# Local Variables:
# mode: php
# c-default-style: "bsd"
# indent-tabs-mode: nil
# c-basic-offset: 4
# End:
