<?php
/*
 * © Copyright 2007, 2008 IntraHealth International, Inc.
 * 
 * This File is part of iHRIS
 * 
 * iHRIS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * @package iHRIS
 * @subpackage Common
 * @author Luke Duncan <lduncan@intrahealth.org>
 * @copyright Copyright &copy; 2007, 2008 IntraHealth International, Inc. 
 * @since v1.0.0
 * @version v2.0.0
 */
/**
 * Object for dealing with countries.
 * 
 * @package iHRIS
 * @subpackage Common
 * @access public
 */
class iHRIS_Country extends I2CE_List {

    /**
     * The sort field name to be used for sorting the display list.
     */
    const SORT_FIELD = "-primary";




    /**
     * Populate the options for a selection element in the {@link I2CE_Template}
     *
     * List all countries that are used for locations. 
     * 
     * @param string $form_name The form being listed.
     * returns $array
     */
    static public function listLocation (  $form_name ) {
    	return parent::listOptions( $form_name, "location", 1 );
    }
    
}

# Local Variables:
# mode: php
# c-default-style: "bsd"
# indent-tabs-mode: nil
# c-basic-offset: 4
# End:
